<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ include file="/jsp/work/taglib.jsp" %>

<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
	ctx.init(request, response);
	ValueObject user = ctx.getUser();
	String USER_ID = user.get("USER_ID");

%>

<script type="text/javascript">

/*예약함수*/
var sheet1 = new ibsheetObject();
var sheet1Row;
var sheet1PageNo = 1;
var pageLastRowIndex = 1;
var validationResult = false;
var filterShow = false;


$(function(){
    
    $.gridInit = function(sheetName)
	{
	    var init_sheet = {};
		
		init_sheet.Cfg = {SearchMode:2, Page:30, MergeSheet:msHeaderOnly};
		init_sheet.Cols = [
									{Header:"Status",					Type:"Status", 		SaveName:"STATUS", 					Width:0, 		Align:"Center", 	 Hidden:"True"},
									{Header:"No.",						Type:"Seq", 			SaveName:"NO",							Width:30, 		Align:"Center"},
									{Header:"대분류",					Type:"Text", 			SaveName:"KIND_BIG",					Width:60, 		Align:"Center"},
									{Header:"중분류",					Type:"Text", 			SaveName:"KIND_MID",					Width:150, 		Align:"Left"},
									{Header:"소분류",					Type:"Text", 			SaveName:"KIND_SMALL", 				Width:150, 		Align:"Left"}
		                   		];
		
		
		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.FitColWidth();
	}
    
    
    $("#btn_search").click(function(){
        $.searchList();
    });
    
    
    $.searchList = function()
	{
		$("#fevent").val("GET_CODE_LIST");
		
		var url = Modular.model.PageContext.CONTEXT_ROOT + "/common/CommMatlCodeTreeList_sheet.screen";
		Modular.view.IBSheet7.doSearch(sheet1, url, $("#form1"), 30, "");
	}
    
    $("#btn_close").click(function(){
        winClose();
    });
    
    $("#btn_save").click(function(){
        
        var params = {FileName:"공통자재코드 트리목록.xls",SheetName:"공통자재코드 트리목록",Merge:1,SheetDesign:1, HiddenColumn:1 };
        sheet1.Down2Excel (params);
        
    });
    
});




$(document).ready(function(){
	
    $.gridInit(sheet1);
	$.searchList();
	
});
	
	
</script>



<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>
<form id="form1" name="form1" method="post" modular:type="search">
<input type="hidden" name="fevent" id="fevent" value="">


<table border="0" cellspacing="0" cellpadding="0" width="90%" id="search-table">
	<!-- 검색조건 영역 : 시작 -->
	<tr>
		<td height="1">
			<table cellspacing="1" cellpadding="0" class="search-form-table">
				<col width="100%">

				<tr height="25"> 
    			<!-- 검색조건 타이틀 1 -->
				    <td rowspan="2" class="search_button" align="right"> 
       					<span class="btnSearch center"><a href="javascript:void(0);" id="btn_save">엑셀다운</a></span>
       					<span class="btnSearch center"><a href="javascript:void(0);" id="btn_close">닫기</a></span>
    				</td>
  				</tr>
			</table>
		</td>
	</tr>
	<!-- 검색조건 영역 : 종료 -->

	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 시작 -->
	<tr>
		<td height="1">
		</td>
	</tr>
	<!-- 검색조건 영역, 테이터 영역 구분 여백 : 종료 -->
</table>

<div id="sheet1_div" style="padding-top:5px; width:90%; height: 420px">
	<script>createIBSheet("sheet1","100%", "100%");</script>
</div>

</form>

